summaryrefslogtreecommitdiff
path: root/evergreen
diff options
context:
space:
mode:
authorMikhail Shchatko <mikhail.shchatko@mongodb.com>2021-10-18 14:34:42 +0300
committerEvergreen Agent <no-reply@evergreen.mongodb.com>2021-10-18 14:42:56 +0000
commit77ee92d37be79b990fcf73c3b14659bffb0ff4fa (patch)
tree49ce5a4d5205973400711ee1a8b60a74a5d613c5 /evergreen
parentd517aaef938089d0d5500a6722db53109d4d9965 (diff)
downloadmongo-77ee92d37be79b990fcf73c3b14659bffb0ff4fa.tar.gz
SERVER-60769 Fix the adding of python links after fetching venv
Diffstat (limited to 'evergreen')
-rw-r--r--evergreen/functions/venv_adjust.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/evergreen/functions/venv_adjust.sh b/evergreen/functions/venv_adjust.sh
index bccdf847f80..303bae0f0fc 100644
--- a/evergreen/functions/venv_adjust.sh
+++ b/evergreen/functions/venv_adjust.sh
@@ -26,6 +26,9 @@ cd "$venv_dir/bin"
rm python python3
ln -s "$python_loc" python3
ln -s python3 python
+
+# Don't fail if `python3.*` binary doesn't exist
+set +o errexit
python3_dot_locs=$(ls python3.*)
for p in $python3_dot_locs; do
rm "$p"